Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.ibeans.spi
Class MuleIBeansPlugin

    java.lang.Object
      org.mule.module.ibeans.spi.MuleIBeansPlugin

All Implemented Interfaces:
  org.ibeans.spi.IBeansPlugin<MuleRequestMessage,MuleResponseMessage>

    public class MuleIBeansPlugin

extends Object
implements org.ibeans.spi.IBeansPlugin<MuleRequestMessage,MuleResponseMessage>

The entry-point for Mule to integrate with IBeans

Constructor Summary
`MuleIBeansPlugin(MuleContext muleContext)`

Method Summary
`void` | `addInterceptors(LinkedList<org.ibeans.api.CallInterceptor> interceptors)`
`MuleRequestMessage` | `createRequest(org.ibeans.api.IBeanInvocationData data)`
`MuleResponseMessage` | `createResponse(Object payload, Map<String,Object> headers, Map<String,DataHandler> attachments)`
`List<org.ibeans.spi.ErrorFilterFactory>` | `getErrorFilterFactories()`
`org.ibeans.spi.ExpressionParser` | `getExpressionParser()`
`org.ibeans.api.IBeanInvoker<MuleCallAnnotationHandler,org.ibeans.impl.TemplateAnnotationHandler,org.ibeans.impl.InvokeAnnotationHandler>` | `getIBeanInvoker()`
`org.ibeans.api.IBeanInvoker<MuleMockCallAnnotationHandler,org.ibeans.impl.TemplateAnnotationHandler,org.ibeans.impl.InvokeAnnotationHandler>` | `getMockIBeanInvoker(Object mock)`
`Map` | `getProperties()`
`org.ibeans.api.CallInterceptor` | `getResponseTransformInterceptor()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleIBeansPlugin

    public MuleIBeansPlugin(MuleContext muleContext)

Method Detail

### getResponseTransformInterceptor

    public org.ibeans.api.CallInterceptor getResponseTransformInterceptor()
                                                                   throws org.ibeans.api.IBeansException

  Specified by:
    `getResponseTransformInterceptor` in interface `org.ibeans.spi.IBeansPlugin<MuleRequestMessage,MuleResponseMessage>`
  Throws:
    `org.ibeans.api.IBeansException`

### getIBeanInvoker

    public org.ibeans.api.IBeanInvoker<MuleCallAnnotationHandler,org.ibeans.impl.TemplateAnnotationHandler,org.ibeans.impl.InvokeAnnotationHandler> getIBeanInvoker()
                                                                                                                                                             throws org.ibeans.api.IBeansException

  Specified by:
    `getIBeanInvoker` in interface `org.ibeans.spi.IBeansPlugin<MuleRequestMessage,MuleResponseMessage>`
  Throws:
    `org.ibeans.api.IBeansException`

### getMockIBeanInvoker

    public org.ibeans.api.IBeanInvoker<MuleMockCallAnnotationHandler,org.ibeans.impl.TemplateAnnotationHandler,org.ibeans.impl.InvokeAnnotationHandler> getMockIBeanInvoker(Object mock)
                                                                                                                                                                     throws org.ibeans.api.IBeansException

  Specified by:
    `getMockIBeanInvoker` in interface `org.ibeans.spi.IBeansPlugin<MuleRequestMessage,MuleResponseMessage>`
  Throws:
    `org.ibeans.api.IBeansException`

### getErrorFilterFactories

    public List<org.ibeans.spi.ErrorFilterFactory> getErrorFilterFactories()

  Specified by:
    `getErrorFilterFactories` in interface `org.ibeans.spi.IBeansPlugin<MuleRequestMessage,MuleResponseMessage>`

### getProperties

    public Map getProperties()

  Specified by:
    `getProperties` in interface `org.ibeans.spi.IBeansPlugin<MuleRequestMessage,MuleResponseMessage>`

### getExpressionParser

    public org.ibeans.spi.ExpressionParser getExpressionParser()

  Specified by:
    `getExpressionParser` in interface `org.ibeans.spi.IBeansPlugin<MuleRequestMessage,MuleResponseMessage>`

### addInterceptors

    public void addInterceptors(LinkedList<org.ibeans.api.CallInterceptor> interceptors)

  Specified by:
    `addInterceptors` in interface `org.ibeans.spi.IBeansPlugin<MuleRequestMessage,MuleResponseMessage>`

### createRequest

    public MuleRequestMessage createRequest(org.ibeans.api.IBeanInvocationData data)
                                     throws org.ibeans.api.IBeansException

  Specified by:
    `createRequest` in interface `org.ibeans.spi.IBeansPlugin<MuleRequestMessage,MuleResponseMessage>`
  Throws:
    `org.ibeans.api.IBeansException`

### createResponse

    public MuleResponseMessage createResponse(Object payload,
                                              Map<String,Object> headers,
                                              Map<String,DataHandler> attachments)
                                       throws org.ibeans.api.IBeansException

  Specified by:
    `createResponse` in interface `org.ibeans.spi.IBeansPlugin<MuleRequestMessage,MuleResponseMessage>`
  Throws:
    `org.ibeans.api.IBeansException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.